var win = Ti.UI.createWindow({backgroundColor: 'white'});

function imageLoad(e) {
    console.log("- imageLoad: ", e.source);
    e.source.start();
}

function startAnimate(e) {
    console.log("- startAnimate: ", e.source);
    e.source.start();
}

var myTemplate = {
    childTemplates: [
        {
            type: 'Ti.UI.ImageView',
            bindId: 'pic',
            properties: {
                width: '50dp', height: '50dp', left: 0
            },
            events: {
                load: imageLoad,
                click: startAnimate
            }
        },
        {
            type: 'Ti.UI.Label',
            bindId: 'info',
            properties: {
                color: 'black',
                font: { fontFamily:'Arial', fontSize: '20dp', fontWeight:'bold' },
                left: '60dp', top: 0,
            }
        }
    ]
};

var listView = Ti.UI.createListView({
    templates: { 'template': myTemplate },
    defaultItemTemplate: 'template'
});
var sections = [];

var fruitSection = Ti.UI.createListSection({ headerTitle: 'Fruits'});
var fruitDataSet = [
    { info: {text: 'Apple'}, pic: {image: '/images/apple.png'}},
    { info: {text: 'Durian'}, pic: {image: '/images/durian.png'}},
    { info: {text: 'Boom'}, pic: {images: ['/images/apple.png', '/images/durian.png', '/images/orange.png', '/images/peach.png']}}
];
fruitSection.setItems(fruitDataSet);
sections.push(fruitSection);

listView.setSections(sections);
win.add(listView);
win.open();
